> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yorlet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all applications



## OpenAPI

````yaml openapi-leasing.json GET /v1/applications
openapi: 3.1.0
info:
  title: Yorlet Leasing API
  description: >-
    APIs for managing applications, deposits, guarantors, references, and
    tenancies.
  version: 1.0.0
servers:
  - url: https://api.yorlet.com
    description: Production
  - url: https://api.yorlet.io
    description: Sandbox
security: []
paths:
  /v1/applications:
    get:
      tags:
        - Applications
      summary: List all applications
      operationId: applications_list
      responses:
        '200':
          description: >-
            A object with a data property that contains an array of
            applications.
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: number
                    description: Total number of items in the list.
                    example: 1
                  has_more:
                    type: boolean
                    description: Whether more items are available.
                    example: false
                  object:
                    type: string
                    enum:
                      - list
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Unique identifier for the object.
                        created:
                          type: number
                          description: >-
                            Time at which the object was created. Measured in
                            seconds since the Unix epoch.
                        account:
                          type: string
                          description: >-
                            The account that the object belongs to. Only
                            returned if the request is made with a valid
                            Yorlet-Context header.
                        deleted:
                          type: boolean
                          default: false
                          description: Only returned if the object has been deleted.
                        object:
                          type: string
                          enum:
                            - application
                        advance_rent_amount:
                          type:
                            - integer
                            - 'null'
                          description: The advance rent amount for the application.
                        applicants:
                          type: object
                          properties:
                            count:
                              type: number
                              description: Total number of items in the list.
                              example: 1
                            has_more:
                              type: boolean
                              description: Whether more items are available.
                              example: false
                            object:
                              type: string
                              enum:
                                - list
                            data:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                    description: Unique identifier for the object.
                                  created:
                                    type: number
                                    description: >-
                                      Time at which the object was created.
                                      Measured in seconds since the Unix epoch.
                                  account:
                                    type: string
                                    description: >-
                                      The account that the object belongs to.
                                      Only returned if the request is made with
                                      a valid Yorlet-Context header.
                                  deleted:
                                    type: boolean
                                    default: false
                                    description: >-
                                      Only returned if the object has been
                                      deleted.
                                  object:
                                    type: string
                                    enum:
                                      - application.applicant
                                  application:
                                    type: string
                                    pattern: ^[a-zA-Z0-9_]+$
                                    description: >-
                                      The identifier of the application the
                                      applicant belongs to.
                                  advance_rent:
                                    type: object
                                    properties:
                                      amount:
                                        type: number
                                        description: >-
                                          The advance rent amount for the
                                          applicant.
                                      paid:
                                        type: boolean
                                        description: Whether the advance rent has been paid.
                                      paid_off_platform:
                                        type: boolean
                                        description: >-
                                          Whether the advance rent was paid off
                                          platform.
                                      transaction:
                                        type:
                                          - string
                                          - 'null'
                                        description: >-
                                          The identifier of the advance rent
                                          transaction.
                                    description: >-
                                      The advance rent details for the
                                      applicant.
                                  currency:
                                    type: string
                                    enum:
                                      - gbp
                                      - usd
                                      - eur
                                      - sek
                                    description: The currency for the applicant.
                                    example: gbp
                                  customer:
                                    anyOf:
                                      - type: string
                                      - type: object
                                        additionalProperties: {}
                                    description: >-
                                      The customer associated with the
                                      applicant.
                                  deposit:
                                    type: object
                                    properties:
                                      amount:
                                        type: number
                                        description: The deposit amount for the applicant.
                                      paid:
                                        type: boolean
                                        description: Whether the deposit has been paid.
                                      paid_off_platform:
                                        type: boolean
                                        description: >-
                                          Whether the deposit was paid off
                                          platform.
                                      transaction:
                                        type:
                                          - string
                                          - 'null'
                                        description: >-
                                          The identifier of the deposit
                                          transaction.
                                    required:
                                      - amount
                                      - paid
                                      - paid_off_platform
                                      - transaction
                                    description: The deposit details for the applicant.
                                  guarantor:
                                    type:
                                      - string
                                      - 'null'
                                    description: >-
                                      The identifier of the guarantor for the
                                      applicant.
                                  guarantor_contract:
                                    type:
                                      - string
                                      - 'null'
                                    description: >-
                                      The identifier of the guarantor contract
                                      for the applicant.
                                  holding_fee:
                                    type: object
                                    properties:
                                      amount:
                                        type: number
                                        description: >-
                                          The holding fee amount for the
                                          applicant.
                                      paid:
                                        type: boolean
                                        description: Whether the holding fee has been paid.
                                      paid_off_platform:
                                        type: boolean
                                        description: >-
                                          Whether the holding fee was paid off
                                          platform.
                                      transaction:
                                        type:
                                          - string
                                          - 'null'
                                        description: >-
                                          The identifier of the holding fee
                                          transaction.
                                    description: The holding fee details for the applicant.
                                  lead_tenant:
                                    type: boolean
                                    description: Whether the applicant is the lead tenant.
                                  pets:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        age:
                                          type:
                                            - number
                                            - 'null'
                                          description: The age of the pet.
                                        name:
                                          type:
                                            - string
                                            - 'null'
                                          description: The name of the pet.
                                        type:
                                          type: string
                                          enum:
                                            - dog
                                            - cat
                                            - small_animal
                                            - bird
                                            - fish
                                            - other
                                          description: The species of the pet.
                                      required:
                                        - age
                                        - name
                                        - type
                                    description: The pets of the applicant.
                                  permitted_occupier:
                                    type: boolean
                                    description: >-
                                      Whether the applicant is a permitted
                                      occupier.
                                  pre_qualification:
                                    type: object
                                    properties:
                                      affordability:
                                        type: object
                                        properties:
                                          company_name:
                                            type: string
                                            description: >-
                                              The name of the company the applicant
                                              works for.
                                          gross_annual_salary:
                                            type: number
                                            description: >-
                                              The gross annual salary of the
                                              applicant.
                                          role:
                                            type: string
                                            description: The role of the applicant.
                                        description: >-
                                          The affordability details for the
                                          applicant.
                                      nationality:
                                        type: string
                                        description: The nationality of the applicant.
                                    description: >-
                                      The pre-qualification details for the
                                      applicant.
                                  requirements:
                                    type: object
                                    properties:
                                      guarantor:
                                        type: boolean
                                        description: Whether the applicant needs a guarantor.
                                    required:
                                      - guarantor
                                  share_of_rent:
                                    type: number
                                    description: The share of rent for the applicant.
                                  status:
                                    type: string
                                    description: The status of the applicant.
                                  tos_acceptance:
                                    type:
                                      - object
                                      - 'null'
                                    properties:
                                      date:
                                        type:
                                          - number
                                          - 'null'
                                        description: >-
                                          The date the terms of service were
                                          accepted.
                                      ip:
                                        type:
                                          - string
                                          - 'null'
                                        description: >-
                                          The IP address from which the terms of
                                          service were accepted.
                                    required:
                                      - date
                                      - ip
                                    description: >-
                                      The terms of service acceptance details
                                      for the applicant.
                                  verification_session:
                                    anyOf:
                                      - type: string
                                      - type: object
                                        additionalProperties: {}
                                      - type: 'null'
                                    description: >-
                                      The verification session associated with
                                      the applicant.
                                  verification_session_required:
                                    type: boolean
                                    description: >-
                                      Whether the applicant is required to
                                      complete a verification session.
                                required:
                                  - id
                                  - created
                                  - object
                                  - application
                                  - advance_rent
                                  - currency
                                  - customer
                                  - deposit
                                  - guarantor
                                  - guarantor_contract
                                  - holding_fee
                                  - lead_tenant
                                  - permitted_occupier
                                  - requirements
                                  - share_of_rent
                                  - status
                                  - tos_acceptance
                                  - verification_session
                                  - verification_session_required
                          required:
                            - count
                            - has_more
                            - object
                            - data
                          description: The applicants for the application.
                        application_configuration:
                          anyOf:
                            - type: string
                            - type: object
                              additionalProperties: {}
                            - type: 'null'
                          description: The identifier of the application configuration.
                        application_mode:
                          type: string
                          enum:
                            - classic
                            - configuration
                          description: The mode of the application.
                        assignee:
                          type:
                            - string
                            - 'null'
                          pattern: ^[a-zA-Z0-9_]+$
                          description: The identifier of the assignee for the application.
                        building:
                          anyOf:
                            - type: string
                            - type: object
                              additionalProperties: {}
                          description: The identifier of the building for the application.
                        building_snapshot:
                          type: object
                          properties:
                            name:
                              type: string
                              description: The name of the building.
                            single_unit:
                              type: boolean
                              description: Whether the building has a single unit.
                          required:
                            - name
                            - single_unit
                          description: >-
                            A snapshot of the building at the time of the
                            application.
                        completed_at:
                          type:
                            - integer
                            - 'null'
                          description: The date and time the application was completed.
                        contract:
                          anyOf:
                            - type: string
                            - type: object
                              additionalProperties: {}
                            - type: 'null'
                          description: The identifier of the contract for the application.
                        contract_address:
                          type:
                            - string
                            - 'null'
                          description: The address of the contract for the application.
                        contract_options:
                          type: object
                          properties:
                            automatic_counter_signature:
                              type: boolean
                              description: >-
                                Whether to automatically counter sign the
                                contract.
                            legal_entity:
                              type:
                                - string
                                - 'null'
                              description: The legal entity for the contract.
                            owner_signature_required:
                              type: boolean
                              description: Whether the owner signature is required.
                            send_applicant_email:
                              type: boolean
                              description: Whether to send an email to the applicant.
                            send_owner_completion_email:
                              type: boolean
                              description: Whether to send the owner a completion email.
                          description: The contract options for the application.
                        contract_template:
                          anyOf:
                            - type: string
                            - type: object
                              additionalProperties: {}
                            - type: 'null'
                          description: >-
                            The identifier of the contract template for the
                            application.
                        current_step:
                          oneOf:
                            - type: object
                              properties:
                                id:
                                  type: string
                                  description: The unique identifier of the step.
                                next_step:
                                  type:
                                    - string
                                    - 'null'
                                  description: >-
                                    The identifier of the next step in the
                                    configuration.
                                type:
                                  type: string
                                  enum:
                                    - advance_rent
                                  description: The type of the step.
                              required:
                                - id
                                - next_step
                                - type
                              title: Advance rent
                              description: The advance rent step.
                            - type: object
                              properties:
                                id:
                                  type: string
                                  description: The unique identifier of the step.
                                type:
                                  type: string
                                  enum:
                                    - completion
                                  description: The type of the step.
                                completion:
                                  type: object
                                  properties:
                                    behavior:
                                      type: string
                                      enum:
                                        - automatic
                                        - manual
                                      description: The completion behavior for the step.
                                    collection_method:
                                      type: string
                                      enum:
                                        - charge_automatically
                                        - send_invoice
                                      description: >-
                                        The rent collection method for the
                                        tenancy.
                                    tenancy_behaviour:
                                      type: string
                                      enum:
                                        - roll
                                        - complete
                                      description: The tenancy behaviour at end of term.
                                    credit_note:
                                      type: string
                                      enum:
                                        - none
                                        - out_of_band
                                        - customer_balance
                                      description: >-
                                        The credit note behaviour for tenancy
                                        revisions.
                                  required:
                                    - behavior
                                  description: The completion settings for the step.
                              required:
                                - id
                                - type
                                - completion
                              title: Completion
                              description: The completion step.
                            - type: object
                              properties:
                                id:
                                  type: string
                                  description: The unique identifier of the step.
                                next_step:
                                  type:
                                    - string
                                    - 'null'
                                  description: >-
                                    The identifier of the next step in the
                                    configuration.
                                type:
                                  type: string
                                  enum:
                                    - contract
                                  description: The type of the step.
                                contract:
                                  type: object
                                  properties:
                                    contract_templates:
                                      type: array
                                      items:
                                        type: string
                                      description: >-
                                        The contract template IDs that can be
                                        used at this step.
                                    owner_signature_required:
                                      type: boolean
                                      description: >-
                                        Whether the owner signature is required
                                        when signing the contract.
                                    send_owner_contract:
                                      type: boolean
                                      description: >-
                                        Whether to send an email notification to
                                        the owner when the contract has been
                                        signed.
                                    break_clause:
                                      type: object
                                      properties:
                                        terms:
                                          type:
                                            - string
                                            - 'null'
                                          description: The break clause terms.
                                      required:
                                        - terms
                                      description: The break clause data.
                                  description: >-
                                    The contract settings for the application
                                    configuration step.
                              required:
                                - id
                                - next_step
                                - type
                              title: Contract
                              description: The contract step.
                            - type: object
                              properties:
                                id:
                                  type: string
                                  description: The unique identifier of the step.
                                next_step:
                                  type:
                                    - string
                                    - 'null'
                                  description: >-
                                    The identifier of the next step in the
                                    configuration.
                                type:
                                  type: string
                                  enum:
                                    - deposit
                                  description: The type of the step.
                              required:
                                - id
                                - next_step
                                - type
                              title: Deposit
                              description: The deposit step.
                            - type: object
                              properties:
                                id:
                                  type: string
                                  description: The unique identifier of the step.
                                next_step:
                                  type:
                                    - string
                                    - 'null'
                                  description: >-
                                    The identifier of the next step in the
                                    configuration.
                                type:
                                  type: string
                                  enum:
                                    - holding_fee
                                  description: The type of the step.
                              required:
                                - id
                                - next_step
                                - type
                              title: Holding fee
                              description: The holding fee step.
                            - type: object
                              properties:
                                id:
                                  type: string
                                  description: The unique identifier of the step.
                                next_step:
                                  type:
                                    - string
                                    - 'null'
                                  description: >-
                                    The identifier of the next step in the
                                    configuration.
                                type:
                                  type: string
                                  enum:
                                    - partial_payment
                                  description: The type of the step.
                              required:
                                - id
                                - next_step
                                - type
                              title: Partial payment
                              description: The partial payment step.
                            - type: object
                              properties:
                                id:
                                  type: string
                                  description: The unique identifier of the step.
                                next_step:
                                  type:
                                    - string
                                    - 'null'
                                  description: >-
                                    The identifier of the next step in the
                                    configuration.
                                type:
                                  type: string
                                  enum:
                                    - payment_method
                                  description: The type of the step.
                                payment_method:
                                  type: object
                                  properties:
                                    collection_method:
                                      type: string
                                      enum:
                                        - charge_automatically
                                        - send_invoice
                                      description: >-
                                        The rent collection method for the
                                        tenancy.
                                  description: >-
                                    The payment method settings for the
                                    application configuration step.
                              required:
                                - id
                                - next_step
                                - type
                              title: Payment method
                              description: The payment method step.
                            - type: object
                              properties:
                                id:
                                  type: string
                                  description: The unique identifier of the step.
                                next_step:
                                  type:
                                    - string
                                    - 'null'
                                  description: >-
                                    The identifier of the next step in the
                                    configuration.
                                type:
                                  type: string
                                  enum:
                                    - pre_qualification
                                  description: The type of the step.
                              required:
                                - id
                                - next_step
                                - type
                              title: Pre-qualification
                              description: The pre-qualification step.
                            - type: object
                              properties:
                                id:
                                  type: string
                                  description: The unique identifier of the step.
                                next_step:
                                  type:
                                    - string
                                    - 'null'
                                  description: >-
                                    The identifier of the next step in the
                                    configuration.
                                type:
                                  type: string
                                  enum:
                                    - referencing
                                referencing:
                                  type: object
                                  properties:
                                    automatic_reference:
                                      type: object
                                      properties:
                                        enabled:
                                          type: boolean
                                          description: >-
                                            Whether the automatic reference is
                                            enabled.
                                        provider:
                                          type: string
                                          enum:
                                            - advance_rent
                                            - canopy
                                            - homelet
                                            - let_alliance
                                          description: >-
                                            The provider to use with automatic
                                            referencing.
                                      required:
                                        - enabled
                                        - provider
                                      description: The automatic reference settings.
                                  description: >-
                                    The referencing settings for the application
                                    configuration step.
                              required:
                                - id
                                - next_step
                                - type
                              title: Referencing
                              description: The referencing step.
                            - type: object
                              properties:
                                id:
                                  type: string
                                  description: The unique identifier of the step.
                                next_step:
                                  type:
                                    - string
                                    - 'null'
                                  description: >-
                                    The identifier of the next step in the
                                    configuration.
                                type:
                                  type: string
                                  enum:
                                    - verification_session
                                  description: The type of the step.
                              required:
                                - id
                                - next_step
                                - type
                              title: Verification session
                              description: The verification session step.
                            - type: object
                              properties:
                                id:
                                  type: string
                                  description: The unique identifier of the step.
                                next_step:
                                  type:
                                    - string
                                    - 'null'
                                  description: >-
                                    The identifier of the next step in the
                                    configuration.
                                type:
                                  type: string
                                  enum:
                                    - waitpoint
                                waitpoint:
                                  type: object
                                  properties:
                                    name:
                                      type: string
                                      description: The name of the waitpoint.
                                  required:
                                    - name
                                  description: >-
                                    The waitpoint settings for the application
                                    configuration step.
                              required:
                                - id
                                - next_step
                                - type
                              title: Waitpoint
                              description: The waitpoint step.
                            - type: 'null'
                          description: The current step of the application configuration.
                        currency:
                          type: string
                          enum:
                            - gbp
                            - usd
                            - eur
                            - sek
                          description: The currency for the application.
                          example: gbp
                        deal_assignee:
                          type:
                            - string
                            - 'null'
                          pattern: ^[a-zA-Z0-9_]+$
                          description: >-
                            The identifier of the deal assignee for the
                            application.
                        deposit_amount:
                          type:
                            - integer
                            - 'null'
                          description: The deposit amount for the application.
                        has_owner:
                          type: boolean
                          description: Whether the application has an owner.
                        holding_fee_amount:
                          type:
                            - integer
                            - 'null'
                          description: The holding fee amount for the application.
                        restrict_credits_to_application:
                          type: boolean
                          description: >-
                            Whether move-in credits (holding fee and advance
                            rent) are reserved for this application’s own
                            invoices, rather than the next invoice for the
                            customer.
                        end_behavior:
                          type:
                            - string
                            - 'null'
                          enum:
                            - roll
                            - complete
                            - null
                          description: The end behavior for the application.
                        end_date:
                          type:
                            - integer
                            - 'null'
                          description: The end date of the application.
                        from_application:
                          type:
                            - object
                            - 'null'
                          properties:
                            action:
                              type: string
                              enum:
                                - revision
                              description: The action of the application.
                            application:
                              type:
                                - string
                                - 'null'
                              pattern: ^[a-zA-Z0-9_]+$
                              description: The identifier of the application.
                          required:
                            - action
                            - application
                          description: The from application for the application.
                        metadata:
                          type:
                            - object
                            - 'null'
                          additionalProperties:
                            type: string
                          description: The metadata for the application.
                        move_in_date:
                          type:
                            - integer
                            - 'null'
                          description: The expected move in date for the application.
                        move_out_date:
                          type:
                            - integer
                            - 'null'
                          description: The expected move out date for the application.
                        open:
                          type: boolean
                          description: Whether the application is open.
                        overrides:
                          type:
                            - object
                            - 'null'
                          properties:
                            rent_increase:
                              type:
                                - object
                                - 'null'
                              properties:
                                tenancy_start_at:
                                  type:
                                    - integer
                                    - 'null'
                                  description: >-
                                    Carried-forward override for the tenancy
                                    start date (Form 4A section 4.2).
                                first_increase_at:
                                  type:
                                    - integer
                                    - 'null'
                                  description: >-
                                    Carried-forward override for the date of the
                                    first rent increase (Form 4A section 4.4).
                              description: >-
                                Overrides applied when generating a rent
                                increase notice (Form 4A).
                          description: >-
                            Manual overrides carried forward at the tenancy
                            level, applied when generating documents such as the
                            Form 4A rent increase notice.
                        owner_options:
                          type:
                            - object
                            - 'null'
                          properties:
                            apply_unit_fees:
                              type: boolean
                              description: Whether to apply unit fees to the owner.
                          description: The owner options for the application.
                        partial_payment:
                          type:
                            - object
                            - 'null'
                          properties:
                            amount:
                              type: number
                              minimum: 0
                              maximum: 99999900
                              description: The partial payment amount.
                            description:
                              type:
                                - string
                                - 'null'
                              description: The description of the partial payment.
                          required:
                            - amount
                            - description
                          description: The partial payment details for the application.
                        rent_term:
                          type:
                            - string
                            - 'null'
                          description: The rent term for the application.
                        start_date:
                          type:
                            - integer
                            - 'null'
                          description: The start date of the application.
                        status:
                          type: string
                          description: The status of the application.
                        steps:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                                description: The identifier of the step.
                              status:
                                type: string
                                description: The status of the step.
                              type:
                                type: string
                                description: The type of the step.
                            required:
                              - id
                              - status
                              - type
                          description: The steps of the application configuration.
                        subscription_data:
                          type: object
                          properties:
                            add_invoice_items:
                              type:
                                - array
                                - 'null'
                              items:
                                type: object
                                properties:
                                  amount:
                                    type: integer
                                    description: >-
                                      The amount to be charged, represented as a
                                      whole integer if possible.
                                  currency:
                                    type: string
                                    description: >-
                                      Three-letter ISO currency code, in
                                      lowercase. Must be a supported currency.
                                  description:
                                    type: string
                                    description: >-
                                      The description for the invoice item, to
                                      be displayed to the customer.
                                  metadata:
                                    type:
                                      - object
                                      - 'null'
                                    additionalProperties:
                                      type: string
                                    description: >-
                                      Set of key-value pairs that you can attach
                                      to an object. This can be useful for
                                      storing additional information about the
                                      object in a structured format.
                                  price:
                                    type: string
                                    description: The ID of the price object.
                                  tax_percent:
                                    type: number
                                    minimum: 0
                                    maximum: 100
                                    description: >-
                                      The tax percentage to use when calculating
                                      the tax amount.
                                  tax_rate:
                                    type: string
                                    description: The ID of the tax rate object.
                                  transfer_behavior:
                                    type: string
                                    enum:
                                      - automatic
                                      - owner
                                      - none
                                    description: >-
                                      The invoice item transfer behavior. The
                                      default is automatic.
                                  transfer_destination:
                                    type: string
                                    description: >-
                                      ID of the owner that will be the transfer
                                      destination. Only allowed when the invoice
                                      item transfer behavior is owner.
                                  type:
                                    type: string
                                    enum:
                                      - charge
                                      - rent
                                      - product
                                    description: The type of the invoice item.
                                  unit:
                                    type:
                                      - string
                                      - 'null'
                                    description: >-
                                      The ID of the unit the invoice item is
                                      for.
                                required:
                                  - amount
                                  - currency
                                  - description
                                  - tax_percent
                                  - transfer_behavior
                                  - type
                              maxItems: 10
                              description: >-
                                A list of invoice items to add to invoices
                                created by the subscription.
                            billing_anchor:
                              type:
                                - integer
                                - 'null'
                              description: >-
                                The reference point that aligns future billing
                                cycle dates.
                            billing_anchor_config:
                              type:
                                - object
                                - 'null'
                              properties:
                                day_of_month:
                                  type: integer
                                  minimum: 1
                                  maximum: 31
                                  description: The day of the month to anchor billing to.
                              required:
                                - day_of_month
                              description: Configuration for the billing anchor.
                            collection_method:
                              type: string
                              enum:
                                - charge_automatically
                                - send_invoice
                              description: The collection method for the subscription.
                            coupon:
                              type:
                                - string
                                - 'null'
                              description: >-
                                The identifier of the coupon to apply to the
                                subscription.
                            custom_fields:
                              type: array
                              items:
                                type: object
                                properties:
                                  name:
                                    type: string
                                    maxLength: 30
                                    description: The name of the custom field.
                                  value:
                                    type: string
                                    maxLength: 30
                                    description: The value of the custom field.
                                required:
                                  - name
                                  - value
                              maxItems: 4
                              description: >-
                                Custom fields attached to the subscription
                                invoices.
                            days_before_collection:
                              type: integer
                              minimum: 0
                              maximum: 7
                              description: >-
                                The number of days before the due date to
                                attempt collection.
                            days_until_due:
                              type:
                                - integer
                                - 'null'
                              minimum: 0
                              description: The number of days until the invoice is due.
                            end_date:
                              type:
                                - integer
                                - 'null'
                              description: The end date of the subscription.
                            end_date_config:
                              type:
                                - object
                                - 'null'
                              properties:
                                day:
                                  type: integer
                                  minimum: 1
                                  maximum: 31
                                  description: The day of the month for the end date.
                                month:
                                  type: integer
                                  minimum: 1
                                  maximum: 12
                                  description: The month for the end date.
                                year:
                                  type: integer
                                  description: The year for the end date.
                              required:
                                - day
                                - month
                                - year
                              description: >-
                                Configuration to compute the end date of the
                                subscription.
                            first_invoice_creation:
                              type:
                                - string
                                - 'null'
                              enum:
                                - immediately
                                - null
                              description: Whether to create the first invoice immediately.
                            interval_count:
                              type: integer
                              description: >-
                                The number of intervals between each billing
                                cycle. Required when interval is not custom.
                            items:
                              type:
                                - array
                                - 'null'
                              items:
                                type: object
                                properties:
                                  description:
                                    type: string
                                    description: The description of the subscription item.
                                  metadata:
                                    type:
                                      - object
                                      - 'null'
                                    additionalProperties:
                                      type: string
                                    description: >-
                                      Set of key-value pairs to attach to the
                                      subscription item.
                                  price:
                                    type: string
                                    description: >-
                                      The identifier of the price to use for the
                                      subscription item.
                                  price_data:
                                    type: object
                                    properties:
                                      amount:
                                        type: integer
                                        description: The amount of the price.
                                      currency:
                                        type: string
                                        description: The currency of the price.
                                      tax_percent:
                                        type: number
                                        description: >-
                                          The tax percentage to apply to the
                                          price.
                                    required:
                                      - amount
                                      - currency
                                    description: The price data for the subscription item.
                                  proration_behavior:
                                    type: string
                                    enum:
                                      - create_prorations
                                      - none
                                    description: >-
                                      Whether to create prorations when creating
                                      the subscription item.
                                  schedule:
                                    type:
                                      - array
                                      - 'null'
                                    items:
                                      type: object
                                      properties:
                                        amount:
                                          type: integer
                                          description: The amount for the scheduled change.
                                        effective_at:
                                          type: integer
                                          description: >-
                                            The date the scheduled change takes
                                            effect.
                                        effective_at_config:
                                          type: object
                                          properties:
                                            day:
                                              type: integer
                                              minimum: 1
                                              maximum: 31
                                              description: >-
                                                The day of the month the scheduled
                                                change takes effect.
                                            month:
                                              type: integer
                                              minimum: 1
                                              maximum: 12
                                              description: >-
                                                The month the scheduled change takes
                                                effect.
                                            year:
                                              type: integer
                                              description: >-
                                                The year the scheduled change takes
                                                effect.
                                          required:
                                            - day
                                            - month
                                            - year
                                          description: >-
                                            Configuration to compute the effective
                                            date of the scheduled change.
                                      required:
                                        - amount
                                    description: The schedule for the subscription item.
                                  tax_rate:
                                    type: string
                                    description: >-
                                      The identifier of the tax rate for the
                                      subscription item.
                                  transfer_behavior:
                                    type: string
                                    enum:
                                      - automatic
                                      - owner
                                      - none
                                    description: >-
                                      The transfer behavior for the subscription
                                      item.
                                  transfer_destination:
                                    type: string
                                    description: >-
                                      The identifier of the connected account to
                                      transfer funds to.
                                  type:
                                    type: string
                                    enum:
                                      - charge
                                      - rent
                                      - product
                                    description: The type of the subscription item.
                                  unit:
                                    type:
                                      - string
                                      - 'null'
                                    description: >-
                                      The identifier of the unit associated with
                                      the subscription item.
                                required:
                                  - price_data
                                  - type
                              minItems: 1
                              maxItems: 10
                              description: >-
                                The items for the subscription. Required when
                                interval is not custom.
                            phases:
                              type:
                                - array
                                - 'null'
                              items:
                                type: object
                                properties:
                                  start_date:
                                    type: integer
                                    description: The start date of the phase.
                                  items:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        description:
                                          type: string
                                          description: >-
                                            The description of the subscription
                                            item.
                                        metadata:
                                          type:
                                            - object
                                            - 'null'
                                          additionalProperties:
                                            type: string
                                          description: >-
                                            Set of key-value pairs to attach to the
                                            subscription item.
                                        price:
                                          type: string
                                          description: >-
                                            The identifier of the price to use for
                                            the subscription item.
                                        price_data:
                                          type: object
                                          properties:
                                            amount:
                                              type: integer
                                              description: The amount of the price.
                                            currency:
                                              type: string
                                              description: The currency of the price.
                                            tax_percent:
                                              type: number
                                              description: >-
                                                The tax percentage to apply to the
                                                price.
                                          required:
                                            - amount
                                            - currency
                                          description: >-
                                            The price data for the subscription
                                            item.
                                        proration_behavior:
                                          type: string
                                          enum:
                                            - create_prorations
                                            - none
                                          description: >-
                                            Whether to create prorations when
                                            creating the subscription item.
                                        schedule:
                                          type:
                                            - array
                                            - 'null'
                                          items:
                                            type: object
                                            properties:
                                              amount:
                                                type: integer
                                                description: The amount for the scheduled change.
                                              effective_at:
                                                type: integer
                                                description: >-
                                                  The date the scheduled change takes
                                                  effect.
                                              effective_at_config:
                                                type: object
                                                properties:
                                                  day:
                                                    type: integer
                                                    minimum: 1
                                                    maximum: 31
                                                    description: >-
                                                      The day of the month the scheduled
                                                      change takes effect.
                                                  month:
                                                    type: integer
                                                    minimum: 1
                                                    maximum: 12
                                                    description: >-
                                                      The month the scheduled change takes
                                                      effect.
                                                  year:
                                                    type: integer
                                                    description: >-
                                                      The year the scheduled change takes
                                                      effect.
                                                required:
                                                  - day
                                                  - month
                                                  - year
                                                description: >-
                                                  Configuration to compute the effective
                                                  date of the scheduled change.
                                            required:
                                              - amount
                                          description: The schedule for the subscription item.
                                        tax_rate:
                                          type: string
                                          description: >-
                                            The identifier of the tax rate for the
                                            subscription item.
                                        transfer_behavior:
                                          type: string
                                          enum:
                                            - automatic
                                            - owner
                                            - none
                                          description: >-
                                            The transfer behavior for the
                                            subscription item.
                                        transfer_destination:
                                          type: string
                                          description: >-
                                            The identifier of the connected account
                                            to transfer funds to.
                                        type:
                                          type: string
                                          enum:
                                            - charge
                                            - rent
                                            - product
                                          description: The type of the subscription item.
                                        unit:
                                          type:
                                            - string
                                            - 'null'
                                          description: >-
                                            The identifier of the unit associated
                                            with the subscription item.
                                      required:
                                        - price_data
                                        - type
                                    minItems: 1
                                    maxItems: 10
                                    description: The items in the phase.
                                required:
                                  - start_date
                                  - items
                              minItems: 1
                              description: >-
                                The phases of the subscription. Required when
                                interval is custom.
                            start_date:
                              type:
                                - integer
                                - 'null'
                              description: The start date of the subscription.
                            start_date_config:
                              type:
                                - object
                                - 'null'
                              properties:
                                day:
                                  type: integer
                                  minimum: 1
                                  maximum: 31
                                  description: The day of the month for the start date.
                                month:
                                  type: integer
                                  minimum: 1
                                  maximum: 12
                                  description: The month for the start date.
                                year:
                                  type: integer
                                  description: The year for the start date.
                              required:
                                - day
                                - month
                                - year
                              description: >-
                                Configuration to compute the start date of the
                                subscription.
                            interval:
                              type: string
                              enum:
                                - month
                                - week
                                - custom
                                - upfront
                              description: The billing interval for the subscription.
                          required:
                            - collection_method
                            - interval
                          description: The subscription data for the application.
                        type:
                          type: string
                          enum:
                            - active_tenancy
                            - let_only
                            - renewal
                            - standard
                          description: The type of the application.
                        unit:
                          anyOf:
                            - type: string
                            - type: object
                              additionalProperties: {}
                          description: The identifier of the unit for the application.
                        unit_snapshot:
                          type: object
                          properties:
                            name:
                              type: string
                              description: The name of the unit.
                          required:
                            - name
                          description: >-
                            A snapshot of the unit at the time of the
                            application.
                      required:
                        - id
                        - created
                        - object
                        - advance_rent_amount
                        - application_configuration
                        - application_mode
                        - assignee
                        - building
                        - building_snapshot
                        - completed_at
                        - contract
                        - contract_address
                        - contract_options
                        - contract_template
                        - current_step
                        - currency
                        - deal_assignee
                        - deposit_amount
                        - has_owner
                        - holding_fee_amount
                        - restrict_credits_to_application
                        - end_behavior
                        - end_date
                        - from_application
                        - move_in_date
                        - move_out_date
                        - open
                        - owner_options
                        - partial_payment
                        - rent_term
                        - start_date
                        - status
                        - subscription_data
                        - type
                        - unit
                        - unit_snapshot
                required:
                  - count
                  - has_more
                  - object
                  - data
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key authentication. Use "Bearer YOUR_API_KEY".

````